- Qt 5.15
- Qt Core
- C++ Classes
- QFileInfo
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QFileInfo

The following members of class QFileInfo are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` QDateTime | created() const
`(obsolete)` QString | readLink() const

## Member Function Documentation

### QDateTime QFileInfo::created() const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Returns the date and time when the file was created, the time its metadata was last changed or the time of last modification, whichever one of the three is available (in that order).

This function is deprecated. Instead, use the birthTime() function to get the time the file was created, metadataChangeTime() to get the time its metadata was last changed, or lastModified() to get the time it was last modified.

If the file is a symlink, the time of the target file is returned (not the symlink).

See also birthTime(), metadataChangeTime(), lastModified(), and lastRead().

### QString QFileInfo::readLink() const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use symLinkTarget() instead.